Subject: [dnsext] Posting warning (was: ISC Offers Response Policy Zones For DNS, Really?)

From: Andrew Sullivan <[email-masked]>
Date: Mon, 2 Aug 2010 13:49:07 -0400

Dear Mr Williams:

You copied a very long list of people when you posted your message to
the namedroppers list.

That is not allowed.  We have repeatedly warned you in private about
your behaviour on list.

Specifically, there are three issues we have warned you about:

    1.  Widespread cross-posting or cc:ing of addresses other than the
    list.  We discourage this because it causes the discussion to be
    unfocussed and to fragment into different threads in different
    contexts.  If you cannot reach your audience on namedroppers
    alone, you should reconsider whether posting on namedroppers is
    the right thing to do.  In your case, it seems that it rarely is.
    Don't do this any more.

    2.  Irrelevant discussions.  Your remarks often seem to drag in
    peripheral issues unrelated to protocol issues.  Specific
    discussion of particular zones is by and large not allowed on the
    list, and yet you seem to refer to such things regularly, often in
    the course of some sort of _ad hominem_ attack (which is a fallacy
    of relevance).  Don't do this any more.

    3.  Frivolous or unnecessary posting.  You sometimes add little
    more than "me too" to a discussion.  The IETF does not work by
    voting, so unless you have substantive points to make, we've asked
    you to restrict your posting.

In accordance with the procedures in RFC 3934, Section 2, we are
hereby warning you publicly about your behaviour.  If you repeat any
of these behaviours, we will revoke your mailing list posting
privileges for 30 days.  Note that this message is copied to the
relevant Area Directors.

Best regards,

Andrew & Olafur (WG co-chairs)

On Sat, Jul 31, 2010 at 04:24:29PM -0500, Jeffrey A. Williams wrote:
> All,
> 
>   Really?!!  Seems to me that there has been on a on and off
> again a basis this technology for 'cooperating good guys' to
> do this for some time.

[&c.]

 see for instance http://www.dnsstuff.com/
> and http://www.dnsstuff.com/domaindoctor as just one such example.  
> Unfortunately one of Paul Vixies
> Domain Names doesn't seem to come up to snuff, see:
> http://www.dnsstuff.com/tools/dnsreport?domain=vix.com&format=raw&loadresults=true&token=25e1e96ae86088a90d270c040ed18014
> Nor does another ISC.ORG entirely but is better, see:
> http://www.dnsstuff.com/tools/dnsreport?domain=isc.org&format=raw&loadresults=true&token=25c1af6afc93828d0f876c0511ea901a
> 
> The article 
> See:https://tech.slashdot.org/story/10/07/30/2031254/ISC-Offers-Response-Policy-Zones-For-DNS
> 
> ISC has made the announcement that they have developed a technology 
> that will allow 'cooperating good guys' to http://www.circleid.com/posts/20100728_taking_back_the_dns/
> provide and consume reputation information about domains names. 
> The release of the technology, called Response Policy Zones 
> (DNS RPZ), was announced at DEFCON. Paul Vixie explains: 'Every 
> day lots of new names are added to the global DNS, and most of 
> them belong to scammers, spammers, e-criminals, and speculators. 
> The DNS industry has a lot of highly capable and competitive 
> registrars and registries who have made it possible to reserve 
> or create a new name in just seconds, and to create millions of 
> them per day. ... If your recursive DNS server has a policy
> rule which forbids certain domain names from being resolvable, then they
> will not resolve. And, it's possible to either create and maintain these
> rules locally, or, import them from a reputation provider. ISC is not in
> the business of identifying good domains or bad domains. We will not be
> publishing any reputation data. But, we do publish technical information
> about protocols and formats, and we do publish source code. So our role
> in DNS RPZ will be to ftp://ftp.isc.org/isc/dnsrpz/isc-tn-2010-1.txt
> define 'the spec' whereby cooperating producers and consumers can 
> exchange reputation data, and to publish a version of BIND that can 
> subscribe to such reputation data feeds. This means we will create a 
> market for DNS reputation but we will not participate directly
> in that market.
> 
> Regards,
> 
> Jeffrey A. Williams
> Spokesman for INEGroup LLA. - (Over 294k members/stakeholders and growing, strong!)
> "Obedience of the law is the greatest freedom" -
>    Abraham Lincoln
> 
> "Credit should go with the performance of duty and not with what is very
> often the accident of glory" - Theodore Roosevelt
> 
> "If the probability be called P; the injury, L; and the burden, B; liability
> depends upon whether B is less than L multiplied by
> P: i.e., whether B is less than PL."
> United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
> ===============================================================
> Updated 1/26/04
> CSO/DIR. Internet Network Eng. SR. Eng. Network data security IDNS. div. of
> Information Network Eng.  INEG. INC.
> ABA member in good standing member ID 01257402 E-Mail [email-masked]
> Phone: 214-244-4827
> 

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.